@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');


*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

img{
    display:block;
}

body{
    font-family: 'Inter', sans-serif;

    background:#e9e9e9;

    height:100vh;

    overflow:hidden;

    padding:12px;
}

/* Contenedor*/

.contenedor{
    width:100%;

    height: 100vh;

    padding-bottom: 24px;

    box-sizing: border-box;


    display:flex;

    gap:12px;
    
}

/* Bloque izquierdo */

.bloque_izquierdo{
    width:42%;

    background:white;

    border-radius:24px;

    padding:30px;

    overflow:hidden;

    display:flex;

    justify-content:center;

    overflow: auto;
}

.contenido{
    width:100%;

    max-width:620px;

    display:flex;

    flex-direction:column;

    height:100%;
}

/* Logo */

.logo{
    display:flex;

    justify-content:center;

    margin-bottom:25px;
}

.logo img{
    width:240px;

    max-width:100%;
}

/* Linea */

hr{
    border:none;

    height:1px;

    background:#e6e6e6;

    margin-bottom:30px;
}

/* Cabecera */

.cabecera{
    text-align:center;
}

.cabecera h1{
    color:#0f6b43;

    font-size:190%;

    line-height:1.1;

    font-weight:700;

    margin-bottom:18px;
}

.cabecera p{
    color:#6e6e6e;

    font-size:100%;

    line-height:1.5;

    max-width:580px;

    margin:auto;
}

/* Formulario */

form{
    margin-top:25px;

    display:flex;

    flex-direction:column;

    flex:1;
}

/* Label */

label{
    display:flex;

    align-items:center;

    gap:10px;

    margin-bottom:8px;

    color:#7f7f7f;

    font-size:16px;
}

/* Circulo iconos */

.circulo{
    width:24px;

    height:24px;

    border-radius:50%;

    background:#eef5f1;

    display:flex;

    align-items:center;

    justify-content:center;
}

.icono1{
    width:13px;
}

/* Input */

input,
textarea{
    width:100%;

    border:1px solid #9fc2af;

    background:#eef5f1;

    border-radius:14px;

    padding:14px;

    font-size:15px;

    outline:none;

    margin-bottom:18px;

    transition:0.2s;
}

input:focus,
textarea:focus{
    border-color:#0f6b43;
}

input::placeholder,
textarea::placeholder{
    color:#8cb49d;
}

/* Textarea */

textarea{
    min-height:120px;

    resize:none;
}

/* Boton */

button{
    margin: 20px auto 0 auto;

    background:#0f6b43;

    color:white;

    border:none;

    border-radius:12px;

    padding:14px 24px;

    font-size:16px;

    cursor:pointer;

    display:flex;

    align-items:center;

    gap:10px;

    transition:0.2s;
}

button:hover{
    transform:translateY(-2px);
}

.icono{
    width:16px;
}

/* Footer */

.footer{
    padding-top:25px;

    text-align:center;
}

.footer1{
    display:flex;

    justify-content:center;

    gap:35px;

    flex-wrap:wrap;

    margin-bottom:15px;
}

.footer1 p{
    display:flex;

    align-items:center;

    gap:10px;

    color:#7d7d7d;

    font-size:14px;
}

.footer2{
    margin-bottom:20px;
}

.footer2 p{
    color:#7d7d7d;

    font-size:14px;
}

.footer3{
    display:flex;

    justify-content:center;

    gap:20px;

    flex-wrap:wrap;
}

.footer3 a{
    text-decoration:none;

    color:#b0b0b0;

    font-size:13px;
}

/* Bloque derecho */

.bloque_derecho{
    width:58%;

    border-radius:24px;

    overflow:hidden;
}

.img_derecha{
    width:100%;

    height:100%;

    object-fit:cover;
}

/* Errores */

.error{
    color:red;

    font-size:14px;

    margin-top:-10px;

    margin-bottom:15px;

    display:none;
}

#errorPrivacidad{
    margin-top:0px;

    margin-bottom:0px;
}

.check {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    margin-top: 10px;
}

.check input[type="checkbox"] {
    width: auto;
    height: auto;
    margin: 3px 0 0 0;
    padding: 0;
    border: none;
    background: transparent;
    flex-shrink: 0;
}

.check label {
    display: block;
    margin: 0;
    font-size: 12px;
    color: #6e6e6e;
    cursor: pointer;
    line-height: 1.4;
}

.info-legal{
    font-size:10px;
    color:#8a8a8a;
    margin-top:10px;
    line-height:1.4;
}

.btn-cerrar{
    position: fixed;
    top: 20px;
    right: 20px;

    width: 40px;
    height: 40px;

    background: #0f6b43;
    color: white;

    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 50%;

    text-decoration: none;
    font-size: 18px;

    box-shadow: 0 4px 10px rgba(0,0,0,0.15);

    z-index: 9999;

    transition: 0.2s;
}

.btn-cerrar:hover{
    transform: scale(1.1);
}

/* Responsive */

@media(max-width:1200px){

    body{
        overflow:auto;

        height:auto;
    }

    .bloque_izquierdo{
        width:100%;
    }

    .bloque_derecho{
        display:none;
    }

    .cabecera h1{
        font-size:42px;
    }
}

@media(max-width:768px){

    body{
        padding:10px;
    }

    .bloque_izquierdo{
        padding:30px 22px;

        border-radius:18px;
    }

    .logo img{
        width:210px;
    }

    .cabecera h1{
        font-size:34px;
    }

    .cabecera p{
        font-size:15px;
    }

    label{
        font-size:15px;
    }

    input,
    textarea{
        padding:14px;
    }

    button{
        width:100%;

        justify-content:center;

        margin-left:0;
    }

    .footer1{
        flex-direction:column;

        gap:15px;
    }
}

@media(max-width:480px){

    .cabecera h1{
        font-size:28px;
    }

    .footer3{
        gap:15px;
    }
}